/*******************************************************************************
 *
 * File Name: ANNUpdateAlgorithm.h
 * Author: Richard Baxter
 * Project: Advanced Neural Network (ANN)
 * Project Version: 1i1a 27-Jan-07
 * Comments:
 *
 *******************************************************************************/

#ifndef NEURON_UPDATE_ALGORIANNTHM_HEADER
#define NEURON_UPDATE_ALGORIANNTHM_HEADER

#include "ANNneuronClass.h"

double ANNBackPropogationPass(NeuronContainer * firstInputNeuron, NeuronContainer * firstOutputNeuron);

#ifdef ANN

void copyNeuronContainerListToNeuronConnectionContainerList(NeuronConnectionContainer * firstNeuronConnectionInListToUpdate, NeuronContainer * firstNeuronInListToCopy);
void copyNeuronConnectionContainerListToNeuronContainerList(NeuronConnectionContainer * firstNeuronInListToUpdate, NeuronContainer * firstNeuronConnectionInListToCopy);

//void copyNeuronListIntoNeuronReferenceArray(NeuronContainer * neuronReferenceArrayToUpdate[], NeuronContainer * firstNeuronInListToCopy);
//void copyNeuronReferenceArrayIntoNeuronList(NeuronContainer * firstNeuronInListToUpdate, NeuronContainer * neuronReferenceArrayToCopy[]);

#endif

float calculateOValue(float netValue);


void DEBUGsetDataSetNum(int newdataSetNum);

#endif

