/*******************************************************************************
 *
 * File Name: ANNexperienceClass.h
 * Author: Richard Baxter
 * Project: Advanced Neural Network (ANN)
 * Project Version: 1i1a 27-Jan-07
 * Comments:
 *
 *******************************************************************************/




#ifndef EXPERIENCE_CLASS_HEADER
#define EXPERIENCE_CLASS_HEADER




class ExperienceInput
{
public:

	ExperienceInput(void);
	~ExperienceInput(void);

	double inputValue;
	ExperienceInput * nextExperienceInput;
};



class Experience
{
public:

	Experience(void);
	~Experience(void);

	long classTargetValue;

	ExperienceInput * firstExperienceInput;

	Experience * nextExperience;

};


Experience * findExperience(Experience * firstExperienceInDataSet, long experienceNumToFind);



#endif

