/*******************************************************************************
 *
 * File Name: ANNexperienceClass.cpp
 * Author: Richard Baxter
 * Project: Advanced Neural Network (ANN)
 * Project Version: 1i1a 27-Jan-07
 * Comments:
 *
 *******************************************************************************/

#include "ANNexperienceClass.h"


#include <ctime>
#include <cstdlib>	//for random number generation
#include <cmath>

#include <string>
#include <iostream>
#include <fstream>
using namespace std;







Experience::Experience(void)
{
	classTargetValue = 0;
	firstExperienceInput = new ExperienceInput();
	nextExperience = NULL;
}

Experience::~Experience(void)
{

}



ExperienceInput::ExperienceInput(void)
{
	inputValue = 0;
	nextExperienceInput = NULL;
}

ExperienceInput::~ExperienceInput(void)
{

}



Experience * findExperience(Experience * firstExperienceInDataSet, long experienceNumToFind)
{
	Experience * foundExperience;
	Experience * currentExperience = firstExperienceInDataSet;
	for(long i = 0; i < experienceNumToFind; i++)
	{
		currentExperience = currentExperience->nextExperience;
	}
	foundExperience = currentExperience;
	return foundExperience;
}